## xine-lib-1.1.2 pre20060630

=== debian/changelog ===
xine-lib (1.1.1-3) UNRELEASED; urgency=low

  * (re)introduce libxine1-dbg package. (Closes: #373135)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 14 Jun 2006 11:27:35 +0200

xine-lib (1.1.1-2) unstable; urgency=medium

  [ Reinhard Tartler ]

  * Use external libmad, acknowledging NMU (Closes: #336437)
  * enable support for libxvmc1, now that we have xorg in debian
    (Closes: #281572)
  * Conflict/Replaces obsolete package 'xine' (Closes: #300852)
  * Incorporated Darrens Changes into a new maintainer upload
  * medium urgency, although security fixes a lot of other functionality
    changes
  * Some more fixages to inline usage in internal copy of ffmpeg, continuing
    the patch from Darren Salt.
  * Verified that this upload fixes build on mips, and other build failiures
    look pretty similar. Therefore (Closes: #354436)
  * Verified that /usr/share/doc/libxine1/faq/faq.{html,txt} is now installed
    correctly (Closes: #369658)
  * fix gnome-vfs plugin to allow play back of http URLs again. Patch from
    upstream CVS, thank you for pointing this out, Sam Morris (Closes: #369974)

  [ Darren Salt ]

   * SECURITY FIXES (closes: #369876):
    - Possible buffer overflow in the AVI demuxer, caused by
      specially-crafted files or streams;
    - Possible buffer overflow in the HTTP header-fetching code.
      (CVE-2006-2802)

  * Tidy up the FAQ list and README installation to quieten dh_install.
  * Re-update the FSF address in debian/copyright. It got lost in 1.1.1-1.
  * Add build-dep alternatives for those of us who do backports to sarge.
  * Tidy up the package descriptions a little.
  * Bump shlibs to >= 1.1.0 due to new functions. (Closes: #358429, #368247)
  * Empty config file no longer prevents the config from being saved.
    (Fixed in upstream 1.1.1) (Closes: #320164)
  * Pulled in some patches from CVS:
    - the above security fixes;
    - fix ALSA resume-from-suspend;
    - fix incorrect size calculation in interlaced Matroska demuxing;
    - various uninitialised variables, some of which should be non-zero;
    - HTTP MRLs requiring authentication would only work when using a proxy;
    - fix possibly-broken locale handling in the SMB input plugin;
    - avoid problems where the ffmpeg audio decoder can't find a codec;
    - avoid a couple of compiler warnings (libavutil);
    - fix up some typecasting in the win32 codec interface;
    - avoid problems with negative sizes (general demuxing);
    - some plugin cache reading code should also be used on ia64;
    - fix a couple of printf warnings on 64-bit;
    - add some locking around playback speed change code;
    - incorrect default CPU acceleration setting on powerpc;
    - fix crash at startup if VO deinterlacing is enabled, onefield_xv is
      selected and the image format is YV12;
    - avoid possible segfault with 1x1 PNGs when handled by the ffmpeg plugin;
    - wrong names used for libX11 and libXv in the health check code (we now
      detect the correct names at build time);
    - add a missing -I to src/libffmpeg/libavcodec/sparc/Makefile.am (should
      fix an FTBFS on sparc);
    - alter configure.ac to avoid FTBFS when configure is regenerated with
      autoconf 2.59c or later.
  * Add AM_MAINTAINER_MODE.
  * Fix usage of inlined functions in libffmpeg before they're defined. This is
    not implemented for all architectures in gcc 4.0.x and was causing FTBFS.
  * Kill some pointer<->int casting warnings on 64-bit architectures. (Taken
    from CVS HEAD)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 12 Jun 2006 18:16:30 +0200

xine-lib (1.1.1-1.1) unstable; urgency=low

  * NMU.
  * Use external libmad, which fixes crashes on amd64 on apps loading both
    libxine1 and libmad0. (Closes: #336437)
  * Pass --with-xv-path=/usr/lib to configure, since otherwise Xv support was
    lost when compiling against modular X.

 -- Adeodato Simó <dato@net.com.org.es>  Sat, 15 Apr 2006 19:34:33 +0200

xine-lib (1.1.1-1) unstable; urgency=low

  * New upstream release! (Closes: #326936, #353150, #332919)

  [ Reinhard Tartler ]
    - adding myself to uploaders
    - Remove build dependencies on xlibs-dev, as well as alternatives on
      xlibs-dev-static. Debian is on its way towards X11R7!
      (Closes: #337997, #346488, #345499, #342208, #347162)
    - Rechecking the long list of NMUs. Thanks to all submitters!

  [ Darren Salt ]
    - Add debian/watch file for uscan.
    - Convert debian/copyright to UTF-8.
    - Add build-deps on libxv-dev and libvcdinfo-dev.
    - Bump standards version to 3.6.2
    - Make "post-Sarge"-tagged changes to debian/rules and strip debian/tmp/
      from debian/*.install.
    - Remove *.gmo on clean (Just In Case). (Closes: #338000)
    - Do a little preparation for a possible -dbg package.

  * Acknowledge NMUs.
    - Backports and gcc 4.0 fixes dropped since they're already in this version.
      Closes: #288189, #318838   
    - slang transition: Closes: #315986
    - aalib transition: Closes: #320317, #323276
    - flac transition: Closes: #325960 
    - fix of dependency generation script debian/shlibdeps.sh: 
      Closes: #326935, #327203, #328168, #328184, #328265, #328454
    - fix bashism in debian/rules: Closes: #337996

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Feb 2006 18:34:51 +0100

xine-lib (1.0.1-1.6) unstable; urgency=low

  * NMU - Brown paper bag release
  * debian/control:
  - make libxine-dev depend on the same -dev packages it build-depends on
    instead of depending on xlibs-dev (Closes: #347162)

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 11 Jan 2006 17:32:43 -0200

xine-lib (1.0.1-1.5) unstable; urgency=high

  * Non-maintainer upload.
  * debian/control:
  - updated build-depends to no longer depend on the xlibs-dev package,
    but on the split up packages it really needs
    (Closes: #337997, #347162, #346488, #345499)
  * debian/patches/heap-overflow-fix.diff:
  - security fix for CVE-2005-4048 (Closes: #342208)

