=== debian/control ===
Source: xine-lib
Section: libs
Priority: optional
Maintainer: Siggi Langauf <siggi@debian.org>
Uploaders: Philipp Matthias Hahn <pmhahn@debian.org>, Reinhard Tartler <siretart@tauware.de>
Build-Depends: debhelper (>= 4.0.4), binutils (>= 2.12.90.0.9), libaa1-dev | aalib1-dev (>= 1.4p5-2), libcaca-dev, libxinerama-dev | xlibs-static-dev (<< 6.8.0), libxv-dev | xlibs-static-dev (<< 6.8.0), libesd0-dev, zlib1g-dev | libz-dev, libartsc0-dev (>>1.1.0), liblircclient-dev, libogg-dev, libvorbis-dev, libtheora-dev, libasound2-dev, libflac-dev (>>1.1.0), libmodplug-dev, libgnomevfs2-dev, libsmbclient-dev, libspeex-dev, libmng-dev, libpng12-dev | libpng-dev, libfreetype6-dev, libsdl1.2-dev (>=1.1.5), libvcdinfo-dev, libmad0-dev, libxvmc-dev | xlibs-dev (<< 6.8.0)
Build-Conflicts: libdvdnav-dev
Standards-Version: 3.6.2

Package: libxine-dev
Architecture: any
Section: libdevel
Depends: libxine1 (= ${Source-Version}), libc6-dev, zlib1g-dev | libz-dev, libslang2-dev | slang1-dev, libfreetype6-dev
Conflicts: xine-ui (<< 0.9.10)
Description: the xine video player library, development packages
 This contains development files (headers, documentation and the like)
 for the xine library (libxine).
 .
 Libxine provides the complete infrastructure for a video/media player. It
 supports MPEG 1/2 and some AVI and Quicktime videos out of the box, so you
 can use it to play DVDs, (S)VCDs and most video files out there. It
 supports network streams, subtitles and even MP3 or Ogg files. It's
 extensible to your heart's content via plugins for audio and video output,
 input media, demuxers (stream types), audio/video and subtitle codecs.
 .
 Building a GUI (or text based) frontend around this should be quite easy.
 The xine-ui and gxine packages each provide one for your convenience, so
 you can just start watching your VCDs ;-)

Package: libxine1
Architecture: any
Depends: ${shlibs:Depends}
Recommends: ${shlibs:Recommends}
Suggests: ${shlibs:Suggests}, libartsc0
Conflicts: sinek(<<0.7), xine-ui (<< 0.9.10), xine
Replaces: xine-dvdnav, xine
Description: the xine video/media player library, binary files
 This is the xine media player library (libxine). 
 .
 Libxine provides the complete infrastructure for a video/media player. It
 supports MPEG 1/2 and some AVI and Quicktime videos out of the box, so you
 can use it to play DVDs, (S)VCDs and most video files out there. It
 supports network streams, subtitles and even MP3 or Ogg files. It's
 extensible to your heart's content via plugins for audio and video output,
 input media, demuxers (stream types), audio/video and subtitle codecs.
 .
 Building a GUI (or text based) frontend around this should be quite easy.
 The xine-ui and gxine packages each provide one for your convenience, so
 you can just start watching your VCDs ;-)

Package: libxine1-dbg
Architecture: any
Depends: libxine1 (= ${Source-Version})
Description: the xine video/media player library, debug data
 This is the xine media player library (libxine). 
 .
 Libxine provides the complete infrastructure for a video/media player. It
 supports MPEG 1/2 and some AVI and Quicktime videos out of the box, so you
 can use it to play DVDs, (S)VCDs and most video files out there. It
 supports network streams, subtitles and even MP3 or Ogg files. It's
 extensible to your heart's content via plugins for audio and video output,
 input media, demuxers (stream types), audio/video and subtitle codecs.
 .
 This package contains debug data for the shared libraries. Its purpose is
 to allow debuggers to produce backtraces with names, making it easier to
 interpret core dumps. The data is installed in /usr/lib/debug.
 .
 Most people will not need this package.
